net.sf.cglib.core

## Class RejectModifierPredicate

- java.lang.Object
- - net.sf.cglib.core.RejectModifierPredicate

- All Implemented Interfaces:
    Predicate

      public class RejectModifierPredicate
      extends java.lang.Object
      implements Predicate

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RejectModifierPredicate(int rejectMask)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `evaluate(java.lang.Object arg)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RejectModifierPredicate

          public RejectModifierPredicate(int rejectMask)

  - ### Method Detail

    - #### evaluate

          public boolean evaluate(java.lang.Object arg)

      Specified by:
        `evaluate` in interface `Predicate`

Copyright (c) 2001 - Apache Software Foundation